using OSMDatastructure;

namespace Pathfinding;

public class PathNode : Node
{
    public PathNode? previousPathNode = null;
    public double currentPathWeight = double.MaxValue;
    public double DirectDistanceToGoal = double.MaxValue;
    
    
    public PathNode(float lat, float lon) : base(lat, lon)
    {
            
    }

    public static PathNode FromNode(Node node)
    {
        return new PathNode(node.lat, node.lon);
    }
    
}